package md

type CanalTagRecords struct {
	Id       string `json:"id" `
	TagId    string `json:"tag_id" `
	Uid      string `json:"uid" `
	Memo     string `json:"memo" `
	CreateAt string `json:"create_at" `
	UpdateAt string `json:"update_at" `
}

type CanalTagRecordsMessage[T any] struct {
	Data     []T      `json:"data"`
	Database string   `json:"database"`
	ES       int64    `json:"es"`
	ID       int64    `json:"id"`
	IsDdl    bool     `json:"isDdl"`
	Old      []T      `json:"old"`
	PkNames  []string `json:"pkNames"`
	Table    string   `json:"table"`
	TS       int64    `json:"ts"`
	Type     string   `json:"type"`
}
